Package org.atmosphere.util
Class PayloadTooLargeException
java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
org.atmosphere.util.PayloadTooLargeException
- All Implemented Interfaces:
Serializable
A request body larger than the limit it was read with; the caller answers
413. Nothing past the limit was read into memory.- See Also:
-
Constructor Summary
Constructors -
Method Summary
Methods inherited from class java.lang.Throwable
addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString
-
Constructor Details
-
PayloadTooLargeException
public PayloadTooLargeException(long limit)
-
-
Method Details
-
limit
public long limit()The limit, in bytes, the body was read with.
-